SXREPORT-SERVER(8)

NAME
sxreport-server - collect configuration and logs from SX nodes

SYNOPSIS
sxreport-server [OPTIONS]

DESCRIPTION
sxreport-server is used to collect configuration and error information from SX nodes. By default all sensitive information (such as IP addresses, URLs or usernames) is anonymized, making the report suitable for submission in a bugreport or public mailing list discussions.

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

--all
    Collect all available information (default mode).

--anonymize
    Anonymize IP addresses, URLs, and cluster usernames (default mode).

--find-request-id
    Print all messages corresponding to specified request ID.

--sysconfdir=PATH
    Path to the /etc directory used by SX.

-o, --output=STRING
    Save output to a given file (default: sxreport-server-<timestamp>.log in the current directory).

--append=STRING
    Append information from a specified file (- is stdin), anonymized only if --anonymize is specified.

--all options:

--info
    Print static configuration only.

--logs
    Print error messages from logs only (NOT anonymized).

--cluster
    Print information about cluster's status & health.

--storage
    Print information about the node's local storage.

Calling sxreport without any options is equivalent to: sxreport --all --anonymize. If you need just a specific part, please use a corresponding option listed above. If you want to append more information run: sxreport --append=/path/to/file --anonymize >> sxreport.log

FILES
/usr/etc/sxserver/sxfcgi.conf

FURTHER DOCUMENTATION
Full documentation with additional examples available at: <http://www.skylable.com/docs/>

SEE ALSO
sxsetup(8), sxadm(8), sx.fcgi(8), sxfcgi.conf(5)